#ifndef EFL_IO_READER_FD_IMPL_HH
#define EFL_IO_READER_FD_IMPL_HH

#include "efl_io_reader_fd.eo.hh"

namespace efl { namespace io { 
inline ::efl::eolian::return_traits<int>::type Reader_Fd::reader_fd_get() const
{
   int __return_value =  ::efl_io_reader_fd_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#ifdef EFL_IO_READER_FD_PROTECTED
inline ::efl::eolian::return_traits<void>::type Reader_Fd::reader_fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_io_reader_fd_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
#endif
} } 
namespace eo_cxx {
namespace efl { namespace io { 
inline ::efl::eolian::return_traits<int>::type Reader_Fd::reader_fd_get() const
{
   int __return_value =  ::efl_io_reader_fd_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#ifdef EFL_IO_READER_FD_PROTECTED
inline ::efl::eolian::return_traits<void>::type Reader_Fd::reader_fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_io_reader_fd_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
#endif
inline efl::io::Reader_Fd::operator ::efl::io::Reader_Fd() const { return *static_cast< ::efl::io::Reader_Fd const*>(static_cast<void const*>(this)); }
inline efl::io::Reader_Fd::operator ::efl::io::Reader_Fd&() { return *static_cast< ::efl::io::Reader_Fd*>(static_cast<void*>(this)); }
inline efl::io::Reader_Fd::operator ::efl::io::Reader_Fd const&() const { return *static_cast< ::efl::io::Reader_Fd const*>(static_cast<void const*>(this)); }
} } }
#endif
